# savefavorites

![Parralels](https://www.parallels.com/static/pl/fileadmin/res/img/navigation/pl-logo-dk.png)

## AppserverClient Command Line Interface

### savefavorites

saves a comma separated list of the published items added to Favorites.

**Category: RAS-Connections**

```
AppServerClientCLI savefavorites -id ras:5 -favorites 2,5,10 [-synch] [-window 12345]  
```

### Arguments

* **`id (mandatory)`** Specify the RAS connection ID to use.
* **`favorites (mandatory)`** Specify the published items to save in Favorites.
* **`synch (optional)`** Return once data is processed by the backend. See notes for further information.
* **`window (optional)`** Specify the window handle that will be used as the parent to any UI required.

### Return codes:

ok - Command was successful\
NotAvailable - Communication with the client backend failed, ensure that the client is running\
InvalidId - Invalid connection, object or session ID\
InvalidArgs - Some arguments are missing or invalid\
ElevationAccess - CLI process is running at a higher process privilege\
Exception - System problem

### Examples:

AppServerClientCLI savefavorites

### Notes:

With the synch on, this method will return once the data is processed by the backend, but before it is sent to the RAS server.\
If the RAS server is not reached or failed, you will not be notified.

### See also:

[logonras](/landing/ras-windows-cli-guide/v20/commands/logonras.md)\
[logoffras](/landing/ras-windows-cli-guide/v20/commands/logoffras.md)\
[logoffallras](/landing/ras-windows-cli-guide/v20/commands/logoffallras.md)\
[logoffrassession](/landing/ras-windows-cli-guide/v20/commands/logoffrassession.md)\
[startrasobj](/landing/ras-windows-cli-guide/v20/commands/startrasobj.md)\
[disconnectras](/landing/ras-windows-cli-guide/v20/commands/disconnectras.md)\
[disconnectallras](/landing/ras-windows-cli-guide/v20/commands/disconnectallras.md)\
[getloggedrasinfo](/landing/ras-windows-cli-guide/v20/commands/getloggedrasinfo.md)\
[getraspolicyinfo](/landing/ras-windows-cli-guide/v20/commands/getraspolicyinfo.md)\
[getpublicipinfo](/landing/ras-windows-cli-guide/v20/commands/getpublicipinfo.md)\
[clearpublicipinfo](/landing/ras-windows-cli-guide/v20/commands/clearpublicipinfo.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-windows-cli-guide/v20/commands/savefavorites.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
